QGIS Application - Bug report #12289
Select by Attribute via Processing does not work properly
2015-03-02 01:42 AM - Luigi Pirelli

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:master Regression?: No

Operating System: Master Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 20468
Description

Hi

due to this question: http://gis.stackexchange.com/questions/137183/qgis-modeler-flexibility-and-errors
| checked if "Select by attribute" via processing would work, but

1) produce as output the entire input file
2) does not select the proper record

To test | loaded alaska.shp, run "Select to attribute" set "Selection attribute” = cat, Operator = and Value = 1 (or "1" is the same)
seems that on 2.4 worked properly, so it could be a regression of QGIS or Processing
regards, Luigi Pirelli

my platform:

Processing 2.6

and

QGIS version 2.9.0-Master QGIS code revision e04570c

Compiled against Qt 4.8.2 Running against Qt 4.8.2

Compiled against GDAL/OGR 1.9.0 Running against GDAL/OGR 1.9.0

Compiled against GEOS 3.3.3-CAPI-1.7.4 Running against GEOS 3.3.3-CAPI-1.7.4
PostgreSQL Client Version 9.1.9 Spatialite Version 3.0.0-beta

QWT Version 6.0.0-svn  PROJ.4 Version 470
QScintilla2 Version 2.6.2 This copy of QGIS writes debugging output.

Associated revisions

Revision 9b41e7bb - 2015-05-20 10:38 AM - Alexander Bruy

[processing] fix Select by Attribute algorithm (fix #12289)

Revision 67620747 - 2015-05-20 10:40 AM - Alexander Bruy

[processing] fix Select by Attribute algorithm (fix #12289)
http://gis.stackexchange.com/questions/137183/qgis-modeler-flexibility-and-errors

History

#1 - 2015-03-02 02:45 AM - Giovanni Manghi
- Affected QGIS version changed from 2.8.1 to master

one of the strange/wrong things is that this tool creates an output while it should only create a selection.

Anyway as already noticed, ti used to work ok on 2.4.

#2 - 2015-05-14 03:02 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Veersion 2.10

#3 - 2015-05-20 01:38 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"9b41e7bb9ac7546ddad9a705530f2639b8b24650".

#4 - 2015-05-20 01:40 AM - Alexander Bruy

- Resolution set to fixed/implemented

Also backported to 2.8
